mmio  = 0xfffffffff8000000;
fb    = 0xfffffffffc000000;

PHDRS {
    kern PT_LOAD;
}

SECTIONS
{
    . = 0xffffffffffe00000;

    bootboot    = .; . += 4K;
    environment = .; . += 4K;

    .text ALIGN(4K) : {
        *(.text .text.*)
    } :kern

    .rodata ALIGN(4K) : {
        *(.rodata .rodata.*)
    } :kern

    .data ALIGN(4K) : {
        *(.data .data.*)
    } :kern

    .bss ALIGN(16) : {
        *(.bss .bss.*)
        *(COMMON)

        . = ALIGN(4K);
    } :kern

   /DISCARD/ : { *(.comment) }
}
